SOURCES: incron.init (NEW), incron-DESTDIR.patch (NEW), incron-gcc43.patch ...

blues blues at pld-linux.org
Tue Dec 2 16:57:08 CET 2008


Author: blues                        Date: Tue Dec  2 15:57:08 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- initial

---- Files affected:
SOURCES:
   incron.init (NONE -> 1.1)  (NEW), incron-DESTDIR.patch (NONE -> 1.1)  (NEW), incron-gcc43.patch (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/incron.init
diff -u /dev/null SOURCES/incron.init:1.1
--- /dev/null	Tue Dec  2 16:57:09 2008
+++ SOURCES/incron.init	Tue Dec  2 16:57:02 2008
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# incrond	Start/Stop the inotify cron-like daemon.
+#
+# chkconfig:	2345 40 60
+#
+# description:	
+#
+# processname:	incrond
+# config:	/etc/incron.conf
+# pidfile:	/var/run/incrond.pid
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get service config
+[ -f /etc/sysconfig/incron ] && . /etc/sysconfig/incron
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/incrond ]; then
+		msg_starting incrond
+		daemon /usr/sbin/incrond
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/incrond
+	else
+		msg_already_running incrond
+	fi
+	;;
+  stop)
+	# Stop daemons.
+	if [ -f /var/lock/subsys/incrond ]; then
+		msg_stopping incrond
+		killproc incrond
+		rm -f /var/lock/subsys/incrond >/dev/null 2>&1
+	else
+		msg_not_running incrond
+	fi
+
+	;;
+  status)
+	status incrond
+	exit $?
+	;;
+  restart|force-reload)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL

================================================================
Index: SOURCES/incron-DESTDIR.patch
diff -u /dev/null SOURCES/incron-DESTDIR.patch:1.1
--- /dev/null	Tue Dec  2 16:57:10 2008
+++ SOURCES/incron-DESTDIR.patch	Tue Dec  2 16:57:02 2008
@@ -0,0 +1,69 @@
+--- ./Makefile.org	2007-09-04 15:48:33.000000000 +0000
++++ ./Makefile	2008-12-02 15:13:38.618097179 +0000
+@@ -6,6 +6,8 @@ CFGDIR = /etc
+ MANPATH = /usr/share/man
+ RELEASE = incron-`cat VERSION`
+ RELEASEDIR = /tmp/$(RELEASE)
++SBINDIR = $(PREFIX)/sbin
++BINDIR = $(PREFIX)/bin
+ 
+ USER = root
+ 
+@@ -44,33 +46,36 @@ clean:
+ distclean: clean
+ 
+ install:	all install-man
+-	[ -d $(PREFIX) ]
+-	$(INSTALL) -m 04755 -o $(USER) incrontab $(PREFIX)/bin/
+-	$(INSTALL) -m 0755 incrond $(PREFIX)/sbin/
+-	$(INSTALL) -m 0755 -o $(USER) -d $(USERDATADIR)
+-	$(INSTALL) -m 0755 -o $(USER) -d $(SYSDATADIR)
+-	$(INSTALL) -m 0644 -o $(USER) incron.conf.example $(CFGDIR)
++	[ -d $(DESTDIR)$(PREFIX) ]
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(BINDIR)
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(SBINDIR)
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(USERDATADIR)
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(SYSDATADIR)
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(CFGDIR)
++	$(INSTALL) -m 0755 incrontab $(DESTDIR)$(BINDIR)
++	$(INSTALL) -m 0755 incrond $(DESTDIR)$(SBINDIR)
++	$(INSTALL) -m 0644 incron.conf.example $(DESTDIR)$(CFGDIR)
+ 
+ install-man:	incrontab.1 incrontab.5 incrond.8 incron.conf.5
+-	$(INSTALL) -m 0755 -d $(MANPATH)/man1
+-	$(INSTALL) -m 0755 -d $(MANPATH)/man5
+-	$(INSTALL) -m 0755 -d $(MANPATH)/man8
+-	$(INSTALL) -m 0644 incrontab.1 $(MANPATH)/man1
+-	$(INSTALL) -m 0644 incrontab.5 $(MANPATH)/man5
+-	$(INSTALL) -m 0644 incrond.8 $(MANPATH)/man8
+-	$(INSTALL) -m 0644 incron.conf.5 $(MANPATH)/man5
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man1
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man5
++	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man8
++	$(INSTALL) -m 0644 incrontab.1 $(DESTDIR)$(MANPATH)/man1
++	$(INSTALL) -m 0644 incrontab.5 $(DESTDIR)$(MANPATH)/man5
++	$(INSTALL) -m 0644 incrond.8 $(DESTDIR)$(MANPATH)/man8
++	$(INSTALL) -m 0644 incron.conf.5 $(DESTDIR)$(MANPATH)/man5
+ 
+ uninstall:	uninstall-man
+-	[ -d $(PREFIX) ]
+-	rm -f $(PREFIX)/bin/incrontab
+-	rm -f $(PREFIX)/sbin/incrond
+-	rm -f $(CFGDIR)/incron.conf.example
++	[ -d $(DESTDIR)$(PREFIX) ]
++	rm -f $(DESTDIR)$(BINDIR)/incrontab
++	rm -f $(DESTDIR)$(SBINDIR)/incrond
++	rm -f $(DESTDIR)$(CFGDIR)/incron.conf.example
+ 
+ uninstall-man:
+-	rm -f $(MANPATH)/man1/incrontab.1
+-	rm -f $(MANPATH)/man5/incrontab.5
+-	rm -f $(MANPATH)/man8/incrond.8
+-	rm -f $(MANPATH)/man5/incron.conf.5
++	rm -f $(DESTDIR)$(MANPATH)/man1/incrontab.1
++	rm -f $(DESTDIR)$(MANPATH)/man5/incrontab.5
++	rm -f $(DESTDIR)$(MANPATH)/man8/incrond.8
++	rm -f $(DESTDIR)$(MANPATH)/man5/incron.conf.5
+ 
+ update:		uninstall install
+ 

================================================================
Index: SOURCES/incron-gcc43.patch
diff -u /dev/null SOURCES/incron-gcc43.patch:1.1
--- /dev/null	Tue Dec  2 16:57:10 2008
+++ SOURCES/incron-gcc43.patch	Tue Dec  2 16:57:03 2008
@@ -0,0 +1,51 @@
+--- a/appargs.cpp
++++ b/appargs.cpp
+@@ -19,6 +19,7 @@
+  * 
+  */
+ 
++#include <string.h>
+ 
+ #include "strtok.h"
+ 
+--- a/icd-main.cpp
++++ b/icd-main.cpp
+@@ -23,6 +23,7 @@
+ #include <errno.h>
+ #include <sys/poll.h>
+ #include <sys/stat.h>
++#include <string.h>
+ 
+ #include "inotify-cxx.h"
+ #include "appinst.h"
+--- a/ict-main.cpp
++++ b/ict-main.cpp
+@@ -25,6 +25,7 @@
+ #include <fcntl.h>
+ #include <stdlib.h>
+ #include <limits.h>
++#include <string.h>
+ 
+ #include "inotify-cxx.h"
+ #include "appargs.h"
+--- a/incroncfg.cpp
++++ b/incroncfg.cpp
+@@ -17,6 +17,8 @@
+ #include <fstream>
+ #include <sstream>
+ 
++#include <string.h>
++
+ #include "incroncfg.h"
+ 
+ 
+--- a/usertable.cpp
++++ b/usertable.cpp
+@@ -25,6 +25,7 @@
+ #include <grp.h>
+ #include <stdlib.h>
+ #include <sys/stat.h>
++#include <string.h>
+ 
+ #include "usertable.h"
+ #include "incroncfg.h"
================================================================


More information about the pld-cvs-commit mailing list